[](https://www.sintef.no/projectweb/mrst)

```
all (the default if no target is provided)
clean
depend
edit_cache
install
install/local
install/strip
list_install_components
rebuild_cache
test
Continuous
ContinuousBuild
ContinuousConfigure
ContinuousCoverage
ContinuousMemCheck
ContinuousStart
ContinuousSubmit
ContinuousTest
ContinuousUpdate
Experimental
ExperimentalBuild
ExperimentalConfigure
ExperimentalCoverage
ExperimentalMemCheck
ExperimentalStart
ExperimentalSubmit
ExperimentalTest
ExperimentalUpdate
Nightly
NightlyBuild
NightlyConfigure
NightlyCoverage
NightlyMemCheck
NightlyMemoryCheck
NightlyStart
NightlySubmit
NightlyTest
NightlyUpdate
additionals
attic
check
check-commits
datafiles
distclean
examples
extra_test
test-suite
tests
flow
flow_blackoil
flow_brine
flow_brine_energy
flow_brine_saltprecipitation
flow_distribute_z
flow_energy
flow_extbo
flow_foam
flow_gasoil
flow_gasoil_energy
flow_gaswater
flow_gaswater_brine
flow_gaswater_saltprec_vapwat
flow_libblackoil
flow_libblackoil_poly
flow_libbrine
flow_libbrine_energy
flow_libbrine_saltprecipitation
flow_libenergy
flow_libextbo
flow_libfoam
flow_libgasoil
flow_libgasoil_energy
flow_libgaswater
flow_libgaswater_brine
flow_libgaswater_saltprec_vapwat
flow_libmicp
flow_liboilwater
flow_liboilwater_brine
flow_liboilwater_polymer
flow_liboilwater_polymer_injectivity
flow_libonephase
flow_libonephase_energy
flow_libpolymer
flow_libsolvent
flow_micp
flow_oilwater
flow_oilwater_brine
flow_oilwater_polymer
flow_oilwater_polymer_injectivity
flow_onephase
flow_onephase_energy
flow_poly
flow_polymer
flow_solvent
moduleVersion
opmsimulators
printvfp
simulators
test_ALQState
test_GroupState
test_ParallelRestart
test_blackoil_amg
test_broadcast
test_convergencereport
test_deferredlogger
test_ecl_output
test_eclinterregflows
test_equil
test_flexiblesolver
test_gatherconvergencereport
test_gatherdeferredlogger
test_glift1
test_graphcoloring
test_invert
test_keyword_validator
test_milu
test_multmatrixtransposed
test_norne_pvt
test_parallelistlinformation
test_parallelwellinfo
test_preconditionerfactory
test_relpermdiagnostics
test_stoppedwells
test_timer
test_vfpproperties
test_wellmodel
test_wellprodindexcalculator
test_wellstate
ebos/collecttoiorank.o
ebos/collecttoiorank.i
ebos/collecttoiorank.s
ebos/eclgenericcpgridvanguard.o
ebos/eclgenericcpgridvanguard.i
ebos/eclgenericcpgridvanguard.s
ebos/eclgenericoutputblackoilmodule.o
ebos/eclgenericoutputblackoilmodule.i
ebos/eclgenericoutputblackoilmodule.s
ebos/eclgenericproblem.o
ebos/eclgenericproblem.i
ebos/eclgenericproblem.s
ebos/eclgenericthresholdpressure.o
ebos/eclgenericthresholdpressure.i
ebos/eclgenericthresholdpressure.s
ebos/eclgenerictracermodel.o
ebos/eclgenerictracermodel.i
ebos/eclgenerictracermodel.s
ebos/eclgenericvanguard.o
ebos/eclgenericvanguard.i
ebos/eclgenericvanguard.s
ebos/eclgenericwriter.o
ebos/eclgenericwriter.i
ebos/eclgenericwriter.s
ebos/eclinterregflows.o
ebos/eclinterregflows.i
ebos/eclinterregflows.s
ebos/ecltransmissibility.o
ebos/ecltransmissibility.i
ebos/ecltransmissibility.s
examples/printvfp.o
examples/printvfp.i
examples/printvfp.s
flow/flow.o
flow/flow.i
flow/flow.s
flow/flow_blackoil.o
flow/flow_blackoil.i
flow/flow_blackoil.s
flow/flow_blackoil_poly.o
flow/flow_blackoil_poly.i
flow/flow_blackoil_poly.s
flow/flow_brine.o
flow/flow_brine.i
flow/flow_brine.s
flow/flow_brine_energy.o
flow/flow_brine_energy.i
flow/flow_brine_energy.s
flow/flow_brine_saltprecipitation.o
flow/flow_brine_saltprecipitation.i
flow/flow_brine_saltprecipitation.s
flow/flow_distribute_z.o
flow/flow_distribute_z.i
flow/flow_distribute_z.s
flow/flow_ebos_blackoil.o
flow/flow_ebos_blackoil.i
flow/flow_ebos_blackoil.s
flow/flow_ebos_blackoil_poly.o
flow/flow_ebos_blackoil_poly.i
flow/flow_ebos_blackoil_poly.s
flow/flow_ebos_brine.o
flow/flow_ebos_brine.i
flow/flow_ebos_brine.s
flow/flow_ebos_brine_energy.o
flow/flow_ebos_brine_energy.i
flow/flow_ebos_brine_energy.s
flow/flow_ebos_brine_saltprecipitation.o
flow/flow_ebos_brine_saltprecipitation.i
flow/flow_ebos_brine_saltprecipitation.s
flow/flow_ebos_energy.o
flow/flow_ebos_energy.i
flow/flow_ebos_energy.s
flow/flow_ebos_extbo.o
flow/flow_ebos_extbo.i
flow/flow_ebos_extbo.s
flow/flow_ebos_foam.o
flow/flow_ebos_foam.i
flow/flow_ebos_foam.s
flow/flow_ebos_gasoil.o
flow/flow_ebos_gasoil.i
flow/flow_ebos_gasoil.s
flow/flow_ebos_gasoil_energy.o
flow/flow_ebos_gasoil_energy.i
flow/flow_ebos_gasoil_energy.s
flow/flow_ebos_gaswater.o
flow/flow_ebos_gaswater.i
flow/flow_ebos_gaswater.s
flow/flow_ebos_gaswater_brine.o
flow/flow_ebos_gaswater_brine.i
flow/flow_ebos_gaswater_brine.s
flow/flow_ebos_gaswater_saltprec_vapwat.o
flow/flow_ebos_gaswater_saltprec_vapwat.i
flow/flow_ebos_gaswater_saltprec_vapwat.s
flow/flow_ebos_micp.o
flow/flow_ebos_micp.i
flow/flow_ebos_micp.s
flow/flow_ebos_oilwater.o
flow/flow_ebos_oilwater.i
flow/flow_ebos_oilwater.s
flow/flow_ebos_oilwater_brine.o
flow/flow_ebos_oilwater_brine.i
flow/flow_ebos_oilwater_brine.s
flow/flow_ebos_oilwater_polymer.o
flow/flow_ebos_oilwater_polymer.i
flow/flow_ebos_oilwater_polymer.s
flow/flow_ebos_oilwater_polymer_injectivity.o
flow/flow_ebos_oilwater_polymer_injectivity.i
flow/flow_ebos_oilwater_polymer_injectivity.s
flow/flow_ebos_onephase.o
flow/flow_ebos_onephase.i
flow/flow_ebos_onephase.s
flow/flow_ebos_onephase_energy.o
flow/flow_ebos_onephase_energy.i
flow/flow_ebos_onephase_energy.s
flow/flow_ebos_polymer.o
flow/flow_ebos_polymer.i
flow/flow_ebos_polymer.s
flow/flow_ebos_solvent.o
flow/flow_ebos_solvent.i
flow/flow_ebos_solvent.s
flow/flow_energy.o
flow/flow_energy.i
flow/flow_energy.s
flow/flow_extbo.o
flow/flow_extbo.i
flow/flow_extbo.s
flow/flow_foam.o
flow/flow_foam.i
flow/flow_foam.s
flow/flow_gasoil.o
flow/flow_gasoil.i
flow/flow_gasoil.s
flow/flow_gasoil_energy.o
flow/flow_gasoil_energy.i
flow/flow_gasoil_energy.s
flow/flow_gaswater.o
flow/flow_gaswater.i
flow/flow_gaswater.s
flow/flow_gaswater_brine.o
flow/flow_gaswater_brine.i
flow/flow_gaswater_brine.s
flow/flow_gaswater_saltprec_vapwat.o
flow/flow_gaswater_saltprec_vapwat.i
flow/flow_gaswater_saltprec_vapwat.s
flow/flow_micp.o
flow/flow_micp.i
flow/flow_micp.s
flow/flow_oilwater.o
flow/flow_oilwater.i
flow/flow_oilwater.s
flow/flow_oilwater_brine.o
flow/flow_oilwater_brine.i
flow/flow_oilwater_brine.s
flow/flow_oilwater_polymer.o
flow/flow_oilwater_polymer.i
flow/flow_oilwater_polymer.s
flow/flow_oilwater_polymer_injectivity.o
flow/flow_oilwater_polymer_injectivity.i
flow/flow_oilwater_polymer_injectivity.s
flow/flow_onephase.o
flow/flow_onephase.i
flow/flow_onephase.s
flow/flow_onephase_energy.o
flow/flow_onephase_energy.i
flow/flow_onephase_energy.s
flow/flow_polymer.o
flow/flow_polymer.i
flow/flow_polymer.s
flow/flow_solvent.o
flow/flow_solvent.i
flow/flow_solvent.s
opm/core/props/BlackoilPhases.o
opm/core/props/BlackoilPhases.i
opm/core/props/BlackoilPhases.s
opm/core/props/phaseUsageFromDeck.o
opm/core/props/phaseUsageFromDeck.i
opm/core/props/phaseUsageFromDeck.s
opm/core/props/satfunc/RelpermDiagnostics.o
opm/core/props/satfunc/RelpermDiagnostics.i
opm/core/props/satfunc/RelpermDiagnostics.s
opm/simulators/flow/KeywordValidation.o
opm/simulators/flow/KeywordValidation.i
opm/simulators/flow/KeywordValidation.s
opm/simulators/flow/SimulatorFullyImplicitBlackoilEbos.o
opm/simulators/flow/SimulatorFullyImplicitBlackoilEbos.i
opm/simulators/flow/SimulatorFullyImplicitBlackoilEbos.s
opm/simulators/flow/ValidationFunctions.o
opm/simulators/flow/ValidationFunctions.i
opm/simulators/flow/ValidationFunctions.s
opm/simulators/flow/countGlobalCells.o
opm/simulators/flow/countGlobalCells.i
opm/simulators/flow/countGlobalCells.s
opm/simulators/linalg/ExtractParallelGridInformationToISTL.o
opm/simulators/linalg/ExtractParallelGridInformationToISTL.i
opm/simulators/linalg/ExtractParallelGridInformationToISTL.s
opm/simulators/linalg/FlexibleSolver1.o
opm/simulators/linalg/FlexibleSolver1.i
opm/simulators/linalg/FlexibleSolver1.s
opm/simulators/linalg/FlexibleSolver2.o
opm/simulators/linalg/FlexibleSolver2.i
opm/simulators/linalg/FlexibleSolver2.s
opm/simulators/linalg/FlexibleSolver3.o
opm/simulators/linalg/FlexibleSolver3.i
opm/simulators/linalg/FlexibleSolver3.s
opm/simulators/linalg/FlexibleSolver4.o
opm/simulators/linalg/FlexibleSolver4.i
opm/simulators/linalg/FlexibleSolver4.s
opm/simulators/linalg/FlexibleSolver5.o
opm/simulators/linalg/FlexibleSolver5.i
opm/simulators/linalg/FlexibleSolver5.s
opm/simulators/linalg/FlexibleSolver6.o
opm/simulators/linalg/FlexibleSolver6.i
opm/simulators/linalg/FlexibleSolver6.s
opm/simulators/linalg/PropertyTree.o
opm/simulators/linalg/PropertyTree.i
opm/simulators/linalg/PropertyTree.s
opm/simulators/linalg/setupPropertyTree.o
opm/simulators/linalg/setupPropertyTree.i
opm/simulators/linalg/setupPropertyTree.s
opm/simulators/timestepping/AdaptiveSimulatorTimer.o
opm/simulators/timestepping/AdaptiveSimulatorTimer.i
opm/simulators/timestepping/AdaptiveSimulatorTimer.s
opm/simulators/timestepping/AdaptiveTimeSteppingEbos.o
opm/simulators/timestepping/AdaptiveTimeSteppingEbos.i
opm/simulators/timestepping/AdaptiveTimeSteppingEbos.s
opm/simulators/timestepping/SimulatorReport.o
opm/simulators/timestepping/SimulatorReport.i
opm/simulators/timestepping/SimulatorReport.s
opm/simulators/timestepping/SimulatorTimer.o
opm/simulators/timestepping/SimulatorTimer.i
opm/simulators/timestepping/SimulatorTimer.s
opm/simulators/timestepping/SimulatorTimerInterface.o
opm/simulators/timestepping/SimulatorTimerInterface.i
opm/simulators/timestepping/SimulatorTimerInterface.s
opm/simulators/timestepping/TimeStepControl.o
opm/simulators/timestepping/TimeStepControl.i
opm/simulators/timestepping/TimeStepControl.s
opm/simulators/timestepping/gatherConvergenceReport.o
opm/simulators/timestepping/gatherConvergenceReport.i
opm/simulators/timestepping/gatherConvergenceReport.s
opm/simulators/utils/DeferredLogger.o
opm/simulators/utils/DeferredLogger.i
opm/simulators/utils/DeferredLogger.s
opm/simulators/utils/ParallelEclipseState.o
opm/simulators/utils/ParallelEclipseState.i
opm/simulators/utils/ParallelEclipseState.s
opm/simulators/utils/ParallelFileMerger.o
opm/simulators/utils/ParallelFileMerger.i
opm/simulators/utils/ParallelFileMerger.s
opm/simulators/utils/ParallelRestart.o
opm/simulators/utils/ParallelRestart.i
opm/simulators/utils/ParallelRestart.s
opm/simulators/utils/ParallelSerialization.o
opm/simulators/utils/ParallelSerialization.i
opm/simulators/utils/ParallelSerialization.s
opm/simulators/utils/PartiallySupportedFlowKeywords.o
opm/simulators/utils/PartiallySupportedFlowKeywords.i
opm/simulators/utils/PartiallySupportedFlowKeywords.s
opm/simulators/utils/UnsupportedFlowKeywords.o
opm/simulators/utils/UnsupportedFlowKeywords.i
opm/simulators/utils/UnsupportedFlowKeywords.s
opm/simulators/utils/gatherDeferredLogger.o
opm/simulators/utils/gatherDeferredLogger.i
opm/simulators/utils/gatherDeferredLogger.s
opm/simulators/utils/moduleVersion.o
opm/simulators/utils/moduleVersion.i
opm/simulators/utils/moduleVersion.s
opm/simulators/utils/readDeck.o
opm/simulators/utils/readDeck.i
opm/simulators/utils/readDeck.s
opm/simulators/wells/ALQState.o
opm/simulators/wells/ALQState.i
opm/simulators/wells/ALQState.s
opm/simulators/wells/BlackoilWellModelGeneric.o
opm/simulators/wells/BlackoilWellModelGeneric.i
opm/simulators/wells/BlackoilWellModelGeneric.s
opm/simulators/wells/GasLiftCommon.o
opm/simulators/wells/GasLiftCommon.i
opm/simulators/wells/GasLiftCommon.s
opm/simulators/wells/GasLiftGroupInfo.o
opm/simulators/wells/GasLiftGroupInfo.i
opm/simulators/wells/GasLiftGroupInfo.s
opm/simulators/wells/GasLiftSingleWellGeneric.o
opm/simulators/wells/GasLiftSingleWellGeneric.i
opm/simulators/wells/GasLiftSingleWellGeneric.s
opm/simulators/wells/GasLiftStage2.o
opm/simulators/wells/GasLiftStage2.i
opm/simulators/wells/GasLiftStage2.s
opm/simulators/wells/GlobalWellInfo.o
opm/simulators/wells/GlobalWellInfo.i
opm/simulators/wells/GlobalWellInfo.s
opm/simulators/wells/GroupState.o
opm/simulators/wells/GroupState.i
opm/simulators/wells/GroupState.s
opm/simulators/wells/MultisegmentWellEval.o
opm/simulators/wells/MultisegmentWellEval.i
opm/simulators/wells/MultisegmentWellEval.s
opm/simulators/wells/MultisegmentWellGeneric.o
opm/simulators/wells/MultisegmentWellGeneric.i
opm/simulators/wells/MultisegmentWellGeneric.s
opm/simulators/wells/ParallelWellInfo.o
opm/simulators/wells/ParallelWellInfo.i
opm/simulators/wells/ParallelWellInfo.s
opm/simulators/wells/PerfData.o
opm/simulators/wells/PerfData.i
opm/simulators/wells/PerfData.s
opm/simulators/wells/SegmentState.o
opm/simulators/wells/SegmentState.i
opm/simulators/wells/SegmentState.s
opm/simulators/wells/SingleWellState.o
opm/simulators/wells/SingleWellState.i
opm/simulators/wells/SingleWellState.s
opm/simulators/wells/StandardWellEval.o
opm/simulators/wells/StandardWellEval.i
opm/simulators/wells/StandardWellEval.s
opm/simulators/wells/StandardWellGeneric.o
opm/simulators/wells/StandardWellGeneric.i
opm/simulators/wells/StandardWellGeneric.s
opm/simulators/wells/TargetCalculator.o
opm/simulators/wells/TargetCalculator.i
opm/simulators/wells/TargetCalculator.s
opm/simulators/wells/VFPHelpers.o
opm/simulators/wells/VFPHelpers.i
opm/simulators/wells/VFPHelpers.s
opm/simulators/wells/VFPInjProperties.o
opm/simulators/wells/VFPInjProperties.i
opm/simulators/wells/VFPInjProperties.s
opm/simulators/wells/VFPProdProperties.o
opm/simulators/wells/VFPProdProperties.i
opm/simulators/wells/VFPProdProperties.s
opm/simulators/wells/WGState.o
opm/simulators/wells/WGState.i
opm/simulators/wells/WGState.s
opm/simulators/wells/WellGroupHelpers.o
opm/simulators/wells/WellGroupHelpers.i
opm/simulators/wells/WellGroupHelpers.s
opm/simulators/wells/WellInterfaceEval.o
opm/simulators/wells/WellInterfaceEval.i
opm/simulators/wells/WellInterfaceEval.s
opm/simulators/wells/WellInterfaceFluidSystem.o
opm/simulators/wells/WellInterfaceFluidSystem.i
opm/simulators/wells/WellInterfaceFluidSystem.s
opm/simulators/wells/WellInterfaceGeneric.o
opm/simulators/wells/WellInterfaceGeneric.i
opm/simulators/wells/WellInterfaceGeneric.s
opm/simulators/wells/WellInterfaceIndices.o
opm/simulators/wells/WellInterfaceIndices.i
opm/simulators/wells/WellInterfaceIndices.s
opm/simulators/wells/WellProdIndexCalculator.o
opm/simulators/wells/WellProdIndexCalculator.i
opm/simulators/wells/WellProdIndexCalculator.s
opm/simulators/wells/WellState.o
opm/simulators/wells/WellState.i
opm/simulators/wells/WellState.s
tests/test_ALQState.o
tests/test_ALQState.i
tests/test_ALQState.s
tests/test_GroupState.o
tests/test_GroupState.i
tests/test_GroupState.s
tests/test_ParallelRestart.o
tests/test_ParallelRestart.i
tests/test_ParallelRestart.s
tests/test_blackoil_amg.o
tests/test_blackoil_amg.i
tests/test_blackoil_amg.s
tests/test_broadcast.o
tests/test_broadcast.i
tests/test_broadcast.s
tests/test_convergencereport.o
tests/test_convergencereport.i
tests/test_convergencereport.s
tests/test_deferredlogger.o
tests/test_deferredlogger.i
tests/test_deferredlogger.s
tests/test_ecl_output.o
tests/test_ecl_output.i
tests/test_ecl_output.s
tests/test_eclinterregflows.o
tests/test_eclinterregflows.i
tests/test_eclinterregflows.s
tests/test_equil.o
tests/test_equil.i
tests/test_equil.s
tests/test_flexiblesolver.o
tests/test_flexiblesolver.i
tests/test_flexiblesolver.s
tests/test_gatherconvergencereport.o
tests/test_gatherconvergencereport.i
tests/test_gatherconvergencereport.s
tests/test_gatherdeferredlogger.o
tests/test_gatherdeferredlogger.i
tests/test_gatherdeferredlogger.s
tests/test_glift1.o
tests/test_glift1.i
tests/test_glift1.s
tests/test_graphcoloring.o
tests/test_graphcoloring.i
tests/test_graphcoloring.s
tests/test_invert.o
tests/test_invert.i
tests/test_invert.s
tests/test_keyword_validator.o
tests/test_keyword_validator.i
tests/test_keyword_validator.s
tests/test_milu.o
tests/test_milu.i
tests/test_milu.s
tests/test_multmatrixtransposed.o
tests/test_multmatrixtransposed.i
tests/test_multmatrixtransposed.s
tests/test_norne_pvt.o
tests/test_norne_pvt.i
tests/test_norne_pvt.s
tests/test_parallelistlinformation.o
tests/test_parallelistlinformation.i
tests/test_parallelistlinformation.s
tests/test_parallelwellinfo.o
tests/test_parallelwellinfo.i
tests/test_parallelwellinfo.s
tests/test_preconditionerfactory.o
tests/test_preconditionerfactory.i
tests/test_preconditionerfactory.s
tests/test_relpermdiagnostics.o
tests/test_relpermdiagnostics.i
tests/test_relpermdiagnostics.s
tests/test_stoppedwells.o
tests/test_stoppedwells.i
tests/test_stoppedwells.s
tests/test_timer.o
tests/test_timer.i
tests/test_timer.s
tests/test_vfpproperties.o
tests/test_vfpproperties.i
tests/test_vfpproperties.s
tests/test_wellmodel.o
tests/test_wellmodel.i
tests/test_wellmodel.s
tests/test_wellprodindexcalculator.o
tests/test_wellprodindexcalculator.i
tests/test_wellprodindexcalculator.s
tests/test_wellstate.o
tests/test_wellstate.i
tests/test_wellstate.s
```

[](https://github.com/OPM/opm-common/blob/master/jenkins/build-opm-module.sh#L6)
